#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 darcs
version:              2.16.2
visibility:           public
id:                   darcs-2.16.2-DpdUp6ie2VO7vis8ChXcbg
key:                  darcs-2.16.2-DpdUp6ie2VO7vis8ChXcbg
license:              GPL-2.0-or-later
maintainer:           <darcs-devel@darcs.net>
author:               David Roundy <droundy@darcs.net>, <darcs-devel@darcs.net>
stability:            Experimental
homepage:             http://darcs.net/
synopsis:             a distributed, interactive, smart revision control system
description:
    Darcs is a free, open source revision control
    system. It is:

    * Distributed: Darcs was one of the first revision control
    systems in which every user has access to the full command
    set, removing boundaries between server and client or
    committer and non-committers.

    * Interactive: Darcs is easy to learn and efficient to use
    because it asks you questions in response to simple
    commands, giving you choices in your work flow. You can
    choose to record one change in a file, while ignoring
    another. As you update from upstream, you can review each
    patch, picking and choosing which patches are appropriate.

    * Smart: Darcs is different from most revision control
    systems in that it is based on the notion of change (or
    patch), rather than version. An underlying algebra of
    patches determines whether changes can be re-ordered. The
    laws of this algebra guarantee that the result of merging
    depends only on the final set of patches applied in a
    repository and not on their order.

    * Simple: As a consequence, Darcs offers a conceptually
    simpler view of the state of a repository: it is given by
    the set of patches it contains. Pulling and pushing
    patches merely transfers them from one set to another. So
    called "cherry-picking" is the default mode of operation,
    and it fully preserves the identity of patches.

category:             Development
abi:                  d754bc02a592c0595031cfbc221af9f1
exposed:              True
exposed-modules:
    Darcs.Patch Darcs.Patch.Annotate Darcs.Patch.Apply
    Darcs.Patch.ApplyMonad Darcs.Patch.ApplyPatches
    Darcs.Patch.Bracketed Darcs.Patch.Bundle Darcs.Patch.Choices
    Darcs.Patch.Commute Darcs.Patch.CommuteFn
    Darcs.Patch.CommuteNoConflicts Darcs.Patch.Conflict
    Darcs.Patch.Debug Darcs.Patch.Depends Darcs.Patch.Effect
    Darcs.Patch.FileHunk Darcs.Patch.Format Darcs.Patch.FromPrim
    Darcs.Patch.Ident Darcs.Patch.Index.Monad Darcs.Patch.Index.Types
    Darcs.Patch.Info Darcs.Patch.Inspect Darcs.Patch.Invert
    Darcs.Patch.Invertible Darcs.Patch.Match Darcs.Patch.Merge
    Darcs.Patch.MonadProgress Darcs.Patch.Named
    Darcs.Patch.Named.Wrapped Darcs.Patch.PatchInfoAnd
    Darcs.Patch.Permutations Darcs.Patch.Prim Darcs.Patch.Prim.Class
    Darcs.Patch.Prim.FileUUID Darcs.Patch.Prim.FileUUID.Apply
    Darcs.Patch.Prim.FileUUID.Coalesce
    Darcs.Patch.Prim.FileUUID.Commute Darcs.Patch.Prim.FileUUID.Core
    Darcs.Patch.Prim.FileUUID.Details
    Darcs.Patch.Prim.FileUUID.ObjectMap Darcs.Patch.Prim.FileUUID.Read
    Darcs.Patch.Prim.FileUUID.Show Darcs.Patch.Prim.Named
    Darcs.Patch.Prim.V1 Darcs.Patch.Prim.V1.Apply
    Darcs.Patch.Prim.V1.Coalesce Darcs.Patch.Prim.V1.Commute
    Darcs.Patch.Prim.V1.Core Darcs.Patch.Prim.V1.Details
    Darcs.Patch.Prim.V1.Mangle Darcs.Patch.Prim.V1.Read
    Darcs.Patch.Prim.V1.Show Darcs.Patch.Prim.WithName
    Darcs.Patch.Progress Darcs.Patch.Read Darcs.Patch.Rebase.Change
    Darcs.Patch.Rebase.Fixup Darcs.Patch.Rebase.Legacy.Item
    Darcs.Patch.Rebase.Name Darcs.Patch.Rebase.PushFixup
    Darcs.Patch.Rebase.Suspended Darcs.Patch.RegChars
    Darcs.Patch.Repair Darcs.Patch.RepoPatch Darcs.Patch.RepoType
    Darcs.Patch.Set Darcs.Patch.Show Darcs.Patch.Split
    Darcs.Patch.Summary Darcs.Patch.SummaryData
    Darcs.Patch.TokenReplace Darcs.Patch.TouchesFiles
    Darcs.Patch.Unwind Darcs.Patch.V1 Darcs.Patch.V1.Apply
    Darcs.Patch.V1.Commute Darcs.Patch.V1.Core Darcs.Patch.V1.Prim
    Darcs.Patch.V1.Read Darcs.Patch.V1.Show Darcs.Patch.V1.Viewing
    Darcs.Patch.V2 Darcs.Patch.V2.Non Darcs.Patch.V2.Prim
    Darcs.Patch.V2.RepoPatch Darcs.Patch.V3 Darcs.Patch.V3.Contexted
    Darcs.Patch.V3.Core Darcs.Patch.V3.Resolution Darcs.Patch.Viewing
    Darcs.Patch.Witnesses.Eq Darcs.Patch.Witnesses.Maybe
    Darcs.Patch.Witnesses.Ordered Darcs.Patch.Witnesses.Sealed
    Darcs.Patch.Witnesses.Show Darcs.Patch.Witnesses.Unsafe
    Darcs.Patch.Witnesses.WZipper Darcs.Prelude Darcs.Repository
    Darcs.Repository.ApplyPatches Darcs.Repository.Cache
    Darcs.Repository.Clone Darcs.Repository.Create
    Darcs.Repository.Diff Darcs.Repository.Flags
    Darcs.Repository.Format Darcs.Repository.Hashed
    Darcs.Repository.HashedIO Darcs.Repository.Identify
    Darcs.Repository.InternalTypes Darcs.Repository.Inventory
    Darcs.Repository.Job Darcs.Repository.Match Darcs.Repository.Merge
    Darcs.Repository.Old Darcs.Repository.Packs
    Darcs.Repository.PatchIndex Darcs.Repository.Paths
    Darcs.Repository.Pending Darcs.Repository.Prefs
    Darcs.Repository.Pristine Darcs.Repository.Rebase
    Darcs.Repository.Repair Darcs.Repository.Resolution
    Darcs.Repository.State Darcs.Repository.Test
    Darcs.Repository.Traverse Darcs.Repository.Working
    Darcs.Test.TestOnly Darcs.UI.ApplyPatches Darcs.UI.Commands
    Darcs.UI.Commands.Add Darcs.UI.Commands.Amend
    Darcs.UI.Commands.Annotate Darcs.UI.Commands.Apply
    Darcs.UI.Commands.Clone Darcs.UI.Commands.Convert
    Darcs.UI.Commands.Convert.Darcs2 Darcs.UI.Commands.Convert.Export
    Darcs.UI.Commands.Convert.Import Darcs.UI.Commands.Convert.Util
    Darcs.UI.Commands.Diff Darcs.UI.Commands.Dist
    Darcs.UI.Commands.GZCRCs Darcs.UI.Commands.Help
    Darcs.UI.Commands.Init Darcs.UI.Commands.Log
    Darcs.UI.Commands.MarkConflicts Darcs.UI.Commands.Move
    Darcs.UI.Commands.Optimize Darcs.UI.Commands.Pull
    Darcs.UI.Commands.Push Darcs.UI.Commands.Rebase
    Darcs.UI.Commands.Record Darcs.UI.Commands.Remove
    Darcs.UI.Commands.Repair Darcs.UI.Commands.Replace
    Darcs.UI.Commands.Revert Darcs.UI.Commands.Rollback
    Darcs.UI.Commands.Send Darcs.UI.Commands.SetPref
    Darcs.UI.Commands.Show Darcs.UI.Commands.ShowAuthors
    Darcs.UI.Commands.ShowContents Darcs.UI.Commands.ShowDependencies
    Darcs.UI.Commands.ShowFiles Darcs.UI.Commands.ShowIndex
    Darcs.UI.Commands.ShowPatchIndex Darcs.UI.Commands.ShowRepo
    Darcs.UI.Commands.ShowTags Darcs.UI.Commands.Tag
    Darcs.UI.Commands.Test Darcs.UI.Commands.TransferMode
    Darcs.UI.Commands.Unrecord Darcs.UI.Commands.Unrevert
    Darcs.UI.Commands.Util Darcs.UI.Commands.Util.Tree
    Darcs.UI.Commands.WhatsNew Darcs.UI.Completion Darcs.UI.Defaults
    Darcs.UI.Email Darcs.UI.External Darcs.UI.Flags Darcs.UI.Options
    Darcs.UI.Options.All Darcs.UI.Options.Core Darcs.UI.Options.Flags
    Darcs.UI.Options.Iso Darcs.UI.Options.Markdown
    Darcs.UI.Options.Matching Darcs.UI.Options.Util
    Darcs.UI.PatchHeader Darcs.UI.PrintPatch Darcs.UI.RunCommand
    Darcs.UI.SelectChanges Darcs.UI.TheCommands Darcs.UI.Usage
    Darcs.Util.AtExit Darcs.Util.ByteString Darcs.Util.CommandLine
    Darcs.Util.Compat Darcs.Util.DateMatcher Darcs.Util.DateTime
    Darcs.Util.Diff Darcs.Util.Diff.Myers Darcs.Util.Diff.Patience
    Darcs.Util.Download Darcs.Util.Download.Request Darcs.Util.Encoding
    Darcs.Util.English Darcs.Util.Exception Darcs.Util.Exec
    Darcs.Util.External Darcs.Util.File Darcs.Util.Global
    Darcs.Util.Graph Darcs.Util.HTTP Darcs.Util.Hash Darcs.Util.Index
    Darcs.Util.IsoDate Darcs.Util.Lock Darcs.Util.Parser
    Darcs.Util.Path Darcs.Util.Printer Darcs.Util.Printer.Color
    Darcs.Util.Progress Darcs.Util.Prompt Darcs.Util.Ratified
    Darcs.Util.Show Darcs.Util.SignalHandler Darcs.Util.Ssh
    Darcs.Util.Tree Darcs.Util.Tree.Hashed Darcs.Util.Tree.Monad
    Darcs.Util.Tree.Plain Darcs.Util.URL Darcs.Util.Workaround

hidden-modules:       Version Darcs.Util.Download.Curl
import-dirs:          /usr/lib/ghc-8.10.2/site-local/darcs-2.16.2
library-dirs:         /usr/lib/ghc-8.10.2/site-local/darcs-2.16.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/darcs-2.16.2
hs-libraries:         HSdarcs-2.16.2-DpdUp6ie2VO7vis8ChXcbg
extra-libraries:      curl
depends:
    array-0.5.4.0 async-2.2.2-IgHD0ymGZ4sJ67U5On1I6U
    attoparsec-0.13.2.4-DxcTCElx4tsJNQm5Cd8pXD base-4.14.1.0
    base16-bytestring-0.1.1.7-7MnoTKrQfBC3WeMx0LqUK0 binary-0.8.8.0
    bytestring-0.10.10.0 conduit-1.3.2.1-Ik09PUVvBfDCgmnfJOajaj
    constraints-0.12-CfCGtBx5Z82EKxDb07xTKr containers-0.6.2.1
    cryptonite-0.27-GQDFsV0e2GLJaPfeS4zGY1
    data-ordlist-0.4.7.0-2kQWNKO9R932B0kq2odINA directory-1.3.6.0
    fgl-5.7.0.3-4JKDXsY9Ygw5rwzIm6EBCE filepath-1.4.2.1
    hashable-1.3.0.0-IhQ3DGT3Mv7KNucUf0KrvO haskeline-0.8.0.1
    html-1.0.1.2-C5vyTPgyVcWHiWuHJSHlFK
    http-conduit-2.3.7.3-5nmZDaL17kvL5GvyrOiblx
    http-types-0.12.3-Le2qxfgzf7V1lLAnztZRib
    memory-0.15.0-359cYXe7lRF64CAN0G53fp
    mmap-0.5.9-1vohpNI5UyxERqLmyV34PM mtl-2.2.2
    network-3.1.2.0-L7DLqacuJnMKoEpBovBm5L
    network-uri-2.6.3.0-7xtb4kZ49Tj2zhAfrjyzOj
    old-time-1.1.0.3-4WAXseRXxLRKCRu471UUPK parsec-3.1.14.0
    process-1.6.9.0 regex-applicative-0.3.4-4h13qsdRwtt5U0bGco1wqf
    regex-compat-tdfa-0.95.1.4-EmQALaBRTAWIBgC87EmCJw
    sandi-0.5-BDwagndEJtK2e6Q7GvmZgW stm-2.5.0.0
    tar-0.5.1.1-J5vSv2xcjt8FQiWP65ZTVJ
    temporary-1.3-GCrV1QxBo5I4IcfY3iupUZ terminfo-0.4.1.4 text-1.2.3.2
    time-1.9.3 transformers-0.5.6.2 unix-2.7.2.2
    unix-compat-0.5.2-7IcOHcLTxJI58jp45CNrGP
    utf8-string-1.0.1.1-G1tzxDqsWge3erFqc4Oe2R
    vector-0.12.1.2-E9lCzNvHLtkKefSxgFoNMj
    zip-archive-0.4.1-LfOy4Fu6ycyJB4UeGKb59O
    zlib-0.6.2.2-85jZF5E8OnCKweDgfCRJUx

haddock-interfaces:   /usr/share/doc/darcs/html/darcs.haddock
haddock-html:         /usr/share/doc/darcs/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

